
Progresif Pay 2.1 - Bug #16594

[PA-4][iOS] Lack of Screen Caching Prevention

30 May 2023 04:14 PM - Nor Khairun Aqila Jesmen

Status: Resolved Start date: 01 June 2023

Priority: High Due date: 01 June 2023

Assignee: wanansari wanansari % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 2.00 hours

Description

Description:

The application may expose sensitive information via the app switcher.

Recommendation:

Overlay an image as the application enters the background state or explicitly mark the fields hidden via the View Controller.

Fixes:

Remove sensitive information from views before moving to the background.

https://stackoverflow.com/a/7520307

Apply on package PP 2.1

History

#1 - 31 May 2023 03:28 PM - Rafly Prayogos

- File RPReplay_Final1685514215.MP4 added

- Status changed from New to Resolved

- Assignee changed from Rafly Prayogos to Nor Khairun Aqila Jesmen

- % Done changed from 0 to 100

SIT build -> https://i.diawi.com/wxcBMA

#2 - 06 June 2023 04:45 PM - Nor Khairun Aqila Jesmen

- Assignee changed from Nor Khairun Aqila Jesmen to wanansari wanansari

tested good

Files

PA-4 iOS.png 228 KB 30 May 2023 Nor Khairun Aqila Jesmen

RPReplay_Final1685514215.MP4 11.2 MB 31 May 2023 Rafly Prayogos
